<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
<title>Moja strona WWW</title>
</head>
<body>
<?php
if (!$db_lnk = sqlite_open("/var/wwwdata/testphp.db", 0666, $msg)){
  echo 'Wystąpił błąd podczas próby połączenia z bazą...<br />';
  echo "Komunikat błędu: $msg";
  echo "</body></html>";
  exit;
}

$query = 'SELECT * FROM Osoba';

if(!$result = sqlite_unbuffered_query($db_lnk, $query)){
  sqlite_close();
  echo 'Wystąpił błąd: nieprawidłowe zapytanie...<br />';
  echo "</body></html>";
  exit;
}
?>

<table>
<tr>
<td>Id</td>
<td>Imię</td>
<td>Nazwisko</td>
<td>Rok urodzenia</td>
<td>Miejsce urodzenia</td>
</tr>

<?php
while($row = sqlite_fetch_array($result)){
  echo "<tr>";
  echo "<td>$row[0]</td>";
  echo "<td>$row[1]</td>";
  echo "<td>$row[2]</td>";
  echo "<td>$row[3]</td>";
  echo "<td>$row[4]</td>";
  echo "</tr>";
}
sqlite_close($db_lnk);
?>
</table>
</body>
</html>
